ServerEvents.recipes(event => {

event.remove({ output: 'minecraft:glistering_melon_slice' })
event.remove({ output: 'iceandfire:dragonscale_red' })
event.remove({ output: 'iceandfire:dragonscale_green'})
event.remove({ output: 'iceandfire:dragonscale_bronze' })
event.remove({ output: 'iceandfire:dragonscale_gray' })
event.remove({ output: 'iceandfire:dragonscale_blue' })
event.remove({ output: 'iceandfire:dragonscale_white' })
event.remove({ output: 'iceandfire:dragonscale_sapphire' })
event.remove({ output: 'iceandfire:dragonscale_silver' })
event.remove({ output: 'iceandfire:dragonscale_electric' })
event.remove({ output: 'iceandfire:dragonscale_amythest' })
event.remove({ output: 'iceandfire:dragonscale_copper' })
event.remove({ output: 'iceandfire:dragonscale_black' })
event.remove({ output: 'irons_spellbooks:scroll_forge' })
event.remove({ output: 'iceandfire:dragonbone_sword' })
event.remove({ output: 'iceandfire:dragonbone_shovel' })
event.remove({ output: 'iceandfire:dragonbone_pickaxe' })
event.remove({ output: 'iceandfire:dragonbone_axe' })
event.remove({ output: 'iceandfire:dragonbone_hoe' })
event.remove({ output: 'iceandfire:dragonbone_bow' })
event.remove({ output: 'iceandfire:dragon_flute' })
event.remove({ output: 'iceandfire:dragonbone_sword_fire' })
event.remove({ output: 'iceandfire:dragonbone_sword_lightning' })
event.remove({ output: 'iceandfire:dragonbone_sword_ice' })
event.remove({ output: 'iceandfire:armor_red_helmet' })
event.remove({ output: 'iceandfire:armor_red_chestplate' })
event.remove({ output: 'iceandfire:armor_red_leggings' })
event.remove({ output: 'iceandfire:armor_red_boots' })
event.remove({ output: 'iceandfire:armor_bronze_helmet' })
event.remove({ output: 'iceandfire:armor_bronze_chestplate' })
event.remove({ output: 'iceandfire:armor_bronze_leggings' })
event.remove({ output: 'iceandfire:armor_bronze_boots' })
event.remove({ output: 'iceandfire:armor_green_helmet' })
event.remove({ output: 'iceandfire:armor_green_chestplate' })
event.remove({ output: 'iceandfire:armor_green_leggings' })
event.remove({ output: 'iceandfire:armor_green_boots' })
event.remove({ output: 'iceandfire:armor_gray_helmet' })
event.remove({ output: 'iceandfire:armor_gray_chestplate' })
event.remove({ output: 'iceandfire:armor_gray_leggings' })
event.remove({ output: 'iceandfire:armor_gray_boots' })
event.remove({ output: 'iceandfire:armor_blue_helmet' })
event.remove({ output: 'iceandfire:armor_blue_chestplate' })
event.remove({ output: 'iceandfire:armor_blue_leggings' })
event.remove({ output: 'iceandfire:armor_blue_boots' })
event.remove({ output: 'iceandfire:armor_white_helmet' })
event.remove({ output: 'iceandfire:armor_white_chestplate' })
event.remove({ output: 'iceandfire:armor_white_leggings' })
event.remove({ output: 'iceandfire:armor_white_boots' })
event.remove({ output: 'iceandfire:armor_sapphire_helmet' })
event.remove({ output: 'iceandfire:armor_sapphire_chestplate' })
event.remove({ output: 'iceandfire:armor_sapphire_leggings' })
event.remove({ output: 'iceandfire:armor_sapphire_boots' })
event.remove({ output: 'iceandfire:armor_amythest_helmet' })
event.remove({ output: 'iceandfire:armor_amythest_chestplate' })
event.remove({ output: 'iceandfire:armor_amythest_leggings' })
event.remove({ output: 'iceandfire:armor_amythest_boots' })
event.remove({ output: 'iceandfire:armor_copper_helmet' })
event.remove({ output: 'iceandfire:armor_copper_chestplate' })
event.remove({ output: 'iceandfire:armor_copper_leggings' })
event.remove({ output: 'iceandfire:armor_copper_boots' })
event.remove({ output: 'iceandfire:armor_black_helmet' })
event.remove({ output: 'iceandfire:armor_black_chestplate' })
event.remove({ output: 'iceandfire:armor_black_leggings' })
event.remove({ output: 'iceandfire:armor_black_boots' })
event.remove({ output: 'iceandfire:armor_silver_helmet' })
event.remove({ output: 'iceandfire:armor_silver_chestplate' })
event.remove({ output: 'iceandfire:armor_silver_leggings' })
event.remove({ output: 'iceandfire:armor_silver_boots' })
event.remove({ output: 'iceandfire:armor_electric_helmet' })
event.remove({ output: 'iceandfire:armor_electric_chestplate' })
event.remove({ output: 'iceandfire:armor_electric_leggings' })
event.remove({ output: 'iceandfire:armor_electric_boots' })



// Cowboy Hat

    event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('artifacts:cowboy_hat', [
    'LIL',
    'SLS',
    ' K '
        ], {
        L: 'minecraft:leather',
        S: 'magistuarmory:leather_strip',
        I: 'minecraft:iron_nugget',
        K: '#forge:tools/knives'
        }))

// Glistening Melon

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('minecraft:glistering_melon_slice', [
    'GGG',
    'GMG',
    'GGG'
        ], {
        M: 'tfc:food/melon_slice',
        G: 'lithiccoins:blank_coin/gold'
        }))


// Nether Warts

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x minecraft:nether_wart', [
    'CBB',
    'CAB',
    'CCB'
        ], {
        C: 'tfc:food/cranberry',
        A: 'tfc:plant/artists_conk',
        B: 'tfc:food/bunchberry'
        }))

// Dragonskin

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('irons_spellbooks:dragonskin', [
    'SSS',
    'SSS',
    'SSS'
        ], {
        S: 'iceandfire:dragonscales_red'
        }))

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('irons_spellbooks:dragonskin', [
    'SSS',
    'SSS',
    'SSS'
        ], {
        S: 'iceandfire:dragonscales_green'
        }))

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('irons_spellbooks:dragonskin', [
    'SSS',
    'SSS',
    'SSS'
        ], {
        S: 'iceandfire:dragonscales_bronze'
        }))

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('irons_spellbooks:dragonskin', [
    'SSS',
    'SSS',
    'SSS'
        ], {
        S: 'iceandfire:dragonscales_gray'
        }))

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('irons_spellbooks:dragonskin', [
    'SSS',
    'SSS',
    'SSS'
        ], {
        S: 'iceandfire:dragonscales_blue'
        }))

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('irons_spellbooks:dragonskin', [
    'SSS',
    'SSS',
    'SSS'
        ], {
        S: 'iceandfire:dragonscales_white'
        }))

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('irons_spellbooks:dragonskin', [
    'SSS',
    'SSS',
    'SSS'
        ], {
        S: 'iceandfire:dragonscales_sapphire'
        }))

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('irons_spellbooks:dragonskin', [
    'SSS',
    'SSS',
    'SSS'
        ], {
        S: 'iceandfire:dragonscales_silver'
        }))

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('irons_spellbooks:dragonskin', [
    'SSS',
    'SSS',
    'SSS'
        ], {
        S: 'iceandfire:dragonscales_electric'
        }))

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('irons_spellbooks:dragonskin', [
    'SSS',
    'SSS',
    'SSS'
        ], {
        S: 'iceandfire:dragonscales_amythest'
        }))

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('irons_spellbooks:dragonskin', [
    'SSS',
    'SSS',
    'SSS'
        ], {
        S: 'iceandfire:dragonscales_copper'
        }))

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('irons_spellbooks:dragonskin', [
    'SSS',
    'SSS',
    'SSS'
        ], {
        S: 'iceandfire:dragonscales_black'
        }))

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('irons_spellbooks:scroll_forge', [
    'ISS',
    'BBB',
    ' BC'
        ], {
        S: 'irons_spellbooks:arcane_essence',
        C: '#tfc:chisels',
        B: 'tfc:rock/cobble/basalt',
        I: 'irons_spellbooks:common_ink'
        }))
})

